Package com.orchestranetworks.ui.view

# Interface UICustomViewContext

public interface UICustomViewContext
Provides information on custom view context.

Since:
  6.1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<UICustomViewKey>`
  `getCustomViewKeys(AdaptationTable aTable)`
  Returns the list of keys of the custom views defined on the given table
  `Stream<UICustomViewKey>`
  `getCustomViewKeys(AdaptationTable aTable, UserReference aUser)`
  Returns the list of keys of the custom views defined on the given table and applicable by given user
  `UIView`
  `getUserCurrentView()`
  Returns the currently applied view
  `UICustomViewKey`
  `getUserFavoriteViewKey(AdaptationTable aTable)`
  Returns the favorite view key for a given table
  `UICustomViewKey`
  `getUserRecommendedViewKey(AdaptationTable aTable)`
  Returns the recommended view key for a given table
  `UIView`
  `getViewDefinition(UICustomViewKey userViewKey)`
  Returns the definition of the view Returns `null` in case of the default view

- ## Method Details

  - ### getUserFavoriteViewKey

    UICustomViewKey getUserFavoriteViewKey(AdaptationTable aTable)
    Returns the favorite view key for a given table
    Parameters:
      `aTable` - the table of the view.

  - ### getUserRecommendedViewKey

    UICustomViewKey getUserRecommendedViewKey(AdaptationTable aTable)
    Returns the recommended view key for a given table
    Parameters:
      `aTable` - the table of the view.

  - ### getUserCurrentView

    UIView getUserCurrentView()
    Returns the currently applied view

  - ### getViewDefinition

    UIView getViewDefinition(UICustomViewKey userViewKey)
    Returns the definition of the view Returns `null` in case of the default view
    Parameters:
      `userViewKey` - the key of the user view.

  - ### getCustomViewKeys

    Stream<UICustomViewKey> getCustomViewKeys(AdaptationTable aTable, UserReference aUser)
    Returns the list of keys of the custom views defined on the given table and applicable by given user
    Since:
      6.1.0

  - ### getCustomViewKeys

    Stream<UICustomViewKey> getCustomViewKeys(AdaptationTable aTable)
    Returns the list of keys of the custom views defined on the given table
    Since:
      6.1.0